WebDataBinding (Grails 6.0.0)

Package: grails.web.databinding

## [Groovy] Trait WebDataBinding

- grails.web.databinding.WebDataBinding

-     @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait WebDataBinding
      extends java.lang.Object

  Authors:
    Jeff Brown
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `properties`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Map<?, ?>` | `getProperties()` Returns a map of the objects properties that can be used to during binding to bind a subset of properties
    `` | `org.springframework.validation.BindingResult` | `setProperties(java.lang.Object bindingSource)` Binds the source object to the properties of the target instance converting any types as necessary

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object properties

  - ### Method Detail

    - #### @groovy.transform.Generated java.util.Map<?, ?> getProperties()

      Returns a map of the objects properties that can be used to during binding to bind a subset of properties

      link:
        }
      Returns:
        An instance of {

    - #### @groovy.transform.Generated org.springframework.validation.BindingResult setProperties(java.lang.Object bindingSource)

      Binds the source object to the properties of the target instance converting any types as necessary

      Parameters:
        `bindingSource` - The binding source
      Returns:
        The BindingResult